import os
import os.path
import pylab

cndList = ['E1-MRot','E2-MRot','E3-MRot','E4-MRot','E5-MRot','E6-MRot']

L = 0
R = 1
NA = 2
B = 0
P = 1

errorRate = []
reactionTime = []

for (root, dirs, files) in os.walk(os.getcwdu()):
    tmpErrorRate = [0 for i in range(len(cndList))]
    tmpReactionTime = [0 for i in range(len(cndList))]
    for f in files:
        r,e = os.path.splitext(f)
        if e.lower() == '.txt':
            fp = open(os.path.join(root,f),'r')
            line = fp.readline()
            for i in range(len(cndList)):
                if line.find(cndList[i])>=0:
                    cndidx = i
                    break
            
            tmpData = pylab.zeros((96,5))
            idx = 0
            for line in fp:
                data = line.rstrip().split(',')
                if data[0]=='L':
                    tmpData[idx,0] = L
                else:
                    tmpData[idx,0] = R
                if data[1]=='B':
                    tmpData[idx,1] = B
                else:
                    tmpData[idx,1] = P
                tmpData[idx,2] = int(data[2])
                tmpData[idx,3] = float(data[3])
                if data[4]=='L':
                    tmpData[idx,4] = L
                elif data[4]=='R':
                    tmpData[idx,4] = R
                else:
                    tmpData[idx,4] = NA
                    
                idx += 1
            
            fp.close()
            
            tmpErrorRate[cndidx] = sum(tmpData[:,0]!=tmpData[:,4])/96.0
            tmpReactionTime[cndidx] = pylab.mean(tmpData[:,3])
    
    errorRate.append(tmpErrorRate)
    reactionTime.append(tmpReactionTime)

errorRate = pylab.array(errorRate)
reactionTime = pylab.array(reactionTime)

pylab.subplot(1,2,1)
pylab.errorbar(pylab.arange(6),pylab.mean(errorRate,0),yerr=pylab.std(errorRate,0,ddof=1))
pylab.xlim([-0.5,5.5])
pylab.xticks(pylab.arange(6),cndList,rotation=22.5)
pylab.xlabel('Condition')
pylab.ylabel('Error Rate')

pylab.subplot(1,2,2)
pylab.errorbar(pylab.arange(6),pylab.mean(reactionTime,0),yerr=pylab.std(reactionTime,0,ddof=1))
pylab.xlim([-0.5,5.5])
pylab.xticks(pylab.arange(6),cndList,rotation=22.5)
pylab.xlabel('Condition')
pylab.ylabel('Reaction Time (sec)')

pylab.show()
